import java.util.ArrayList;

public class PrimeTestTest {
  public static void main(String[] args) {
    ArrayList<pTest> testCases = new ArrayList<>();
    testCases.add(new pTest(0, false));
    testCases.add(new pTest(1, false));
    testCases.add(new pTest(2, true));
    testCases.add(new pTest(3, true));
    testCases.add(new pTest(4, false));
    testCases.add(new pTest(91, false));
    testCases.add(new pTest(97, true));
    testCases.add(new pTest(100, false));
    testCases.add(new pTest(541, true));
    
    boolean allTestsSucceed = true;
    System.out.println("begin with tests");
    for (pTest pt : testCases) {
      boolean result = PrimeTest.testIfPrime(pt.input);
      boolean testResult = result == pt.expectedOutput;
      allTestsSucceed &= testResult;
      System.out.printf("input: %5d, output: %5b, expected output: %5b\n", pt.input, result, pt.expectedOutput);
    }
    if (allTestsSucceed) 
      System.out.println("finished tests, all are successful");
    else
      System.out.println("finished tests, some failed");
  }
  
  static class pTest {
    final long input;
    final boolean expectedOutput;

    pTest(long in, boolean out) {
      input = in;
      expectedOutput = out;
    }
  }
}
